canada egypt wheat negotiations continue canadian egyptian wheat negotiators failed conclude agreement canadian wheat exports egypt talks last week canadian team will return cairo negotiations canadian embassy officials said embassy official declined identify issues remained resolved talks resume five year protocol signed cairo agreed purchase tonnes canadian wheat year